# JSDoc: Class: Result

# Class: Result

## Result(rows, columns)

Query result object

## Constructor

#### new Result(rows, columns)

Create a result object

##### Parameters:

Name | Type | Description
--- | --- | ---
`rows` | Array | the data rows of the result
`columns` | Array | the column names in the result

Source:
  - Result.js, line 9

### Methods

#### columnCount() → {Number}

Get the number of columns returned by the query

Source:
  - Result.js, line 88

##### Returns:

- the number of columns in the result

Type
  Number

#### rowCount() → {Number}

Get the number of rows returned by the query

Source:
  - Result.js, line 79

##### Returns:

- the number of rows in the result

Type
  Number